<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang xml:lang>
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>FDSNWS dataselect v1</title>
  <style>
    code{white-space: pre-wrap;}
    span.smallcaps{font-variant: small-caps;}
    span.underline{text-decoration: underline;}
    div.column{display: inline-block; vertical-align: top; width: 50%;}
    div.hanging-indent{margin-left: 1.5em; text-indent: -1.5em;}
    ul.task-list{list-style: none;}
    .display.math{display: block; text-align: center; margin: 0.5rem auto;}
  </style>
  <link rel="stylesheet" href="data:text/css,h1%3A%3Abefore%20%7B%0Acontent%3A%20url%28data%3Aimage%2Fpng%3Bbase64%2CiVBORw0KGgoAAAANSUhEUgAAAVQAAABfCAYAAAC3Ij%2FCAAAABGdBTUEAALGPC%2FxhBQAAACBjSFJNAAB6JQAAgIMAAPn%2FAACA6QAAdTAAAOpgAAA6mAAAF2%2BSX8VGAAAABmJLR0QA%2FwD%2FAP%2BgvaeTAAAACXBIWXMAAC4jAAAuIwF4pT92AAAAB3RJTUUH5QYKDBwHG6kEzwAAWiBJREFUeNrtnXeAJGWZ%2Fz9PVXdPjjubdzbnJUuSoGQMBAHRM4Kiuwp6np5nzp6eWfHEE%2FQEDhVRBJUkOeOSliXtLiwbZ%2FPs7uTQoer5%2FfFWdVd3V4cJG%2FQ3zzLMdHXVW2%2F8vk9%2BYYzGaIzGaIzGaIzGaIzGaIzGaIzGaIzGaIzGaIzGaIzGaIzGaIzGaIzGaIzGaIzGaIzGaIzGaIzGaIzGaIzGaOgkB7oCY%2FSPRW1LFw7p%2FtZr1hzoKo%2FRGO03ihzoCozRPw7lgGkEmAZMB5qBKGaDdoFngQ0Hur5jNEb7m8YAdYzKoralC0EBC1COAD4GnApMBCoBO3D7j8WyPqWue6CrPUZjtF9pDFDHqHwSfDD9DbAEcIAtwHagFwO5UYTni4Fp2zIPnMV7ovj7RlLXvGviablU1d8cMqThZYypLcaoXBoD1DEqnyICKb0EA6adwFeBvyJ0ACnUg0lloBAYGrWBgCgodcBMYApQi5mPQb1%2BEugHdgAbgY70NxZGuZBRPcxCaEaJ5rwyCXQDmwXZqKpxicUgkQAVQGu8OkwCajCqCwt4EWUMScdoSDQGqGNUPqXUxgAXwGvAdSjdefd5kFiQsxNLcJ03A58CDgPqgRj5RlIFUhju9xXgBuA6oF8cQUWPBK4ATgMmoVSmy8iAuQskEPaq6iPA9zQRf05dEItTgE8jHINSTwZMBeF6kA%2BCjuktxqhsGgPUg4RunT0r75pqgMUrIMKGisRBWNKw6wKqiATEX0h%2F9h%2B7cP2GnGdFULW8MlMi4mhYBbxLBT0CXOcQ4GfALAwHuhrYiQG%2BTJ0VC6EKZTZwPPA6jK72v1X0GOD%2FgIXAIMJalJ0YjjRY7xhGzzsP%2BBdgJiIXiE0M%2BG%2BUQ1B2AcuBQe8ZQXmcQcel0hqlER6j%2Fx%2BoJKAO1U1mSAs%2F9x4YmU5NJF3MtKtXj3JX7ReaDcwdUQnlOsIVv%2B81gfVZV5Rc3q9ZVc8F%2Bsp8qwC7cHQ5thxHBkw%2FhfBHYABwc8ZXMBzjDOB%2FEV6Pch7wS%2BC9GDDdBnwK5AGEPhQV8TYJUysLpRp4P%2FBt4HUoRwNdwDyEBMpnEH7vtVEA7Xx6UrzxmB1AZg1YloWq%2FqPOrTSlDYyCv1GCavramM54%2BBQKqG3LFppNWsuwCOQCoRa4VoqCA6wl7gl7hwCa4ZcKbQQiYlR9gXccDBPIq87FAl8D3HRLglxl1jVv5YtmFWKYKy3R5%2Br9p7lXASyBr6F8N7vfsrsbw%2FHdMATDkQVswJYzgSrvWgfwEMregpCsYNv2asdx1qC8HqgGKoDJ3h2rgVtBE34fhUzbPuB%2BoAcY5%2Bla2zF63ypgDspkYNDrFG08ZkdwhsWBHtc1lra2pQsPijmTS23LFlE7bhy9u3eXvjlr%2FWTPtS3LFgEHlin52aULvSpJSH0DbSiIBdn3XXHt%2FmlLHqD6FlhvsTUCx2KU9rERvWk4FtvhWXldjN4theF6%2BhG6vEXbCXSj9CA4WaJpYHBar97%2Fi8WbE1GFSnzuKnTSBy%2Fm70CGM8vpuDDNZBh5SKQQy31GNe%2FBfmANxtJfDhlDj7A3zRFlrhfs87ZlC3Fcx6IwF%2BxiDGG0XhO%2BaLzNNSO7K5ZX90eBNwFfAD6AAVwnq6Fmf%2BoD1gJ%2FAO4GUgcLqG5ZtoiUk8K2bFA1YGqG3wbqgAagCeMrXIcx%2FvlubpFAv7hAO%2FACyloVdduWLdxva%2BGqSxeheGqofA%2BQCgwW1Xu%2FGwJtMDpyM3YdGMmjC5d%2BbH97hKsuXUjda5PombuTK67bd%2BCaz6FmGjEDuBI4E8MVhJOWea0Q5YJmoV0m93stcD37OQfDhSSBOEqXojuBLSirgZeAl4FNKH3%2Bsz53uz8XTLg0kLP1ely4D6qKZjc3yMRKjoShOUUW6uNM0aXoNYSLQDo9c3nhMjM0aH7UKnuzLHRP7r5SLpn3irfJfgy4HDgdY%2BWfShB4Tfk2hqN%2BPXAusAz44xDeOOqUdjvDzBvbshEkouhU4FCUIxAOQZmB0R83YBiiKBnDWxilgG2KfltFr5Es8Wf06aoPLDLt8Mx%2B4v1TtBGYgzFYHg7MR5kKtGCwKIoBU09M89a5mV97UXZg8RrwIvA8sEbRXT1zdyoY8PYnzmiDa6jIr6qIJUtRzi9ZwkgWRiEwLXR%2FOZStFrC9BVGB2ZnHYfSUPiURdqOsAh4C7kN4AaUf9i%2Bw%2BqqILFWLZrhST5gNdJ25X5V8jtS719%2Fss%2Fo6t4%2BDOrQs9ULhqnq%2FU0AHaDfDoRLj27Z0oVkyToEnQoB089IFWGKlRdW2pQuNAsNnrzPtF%2B%2F3OoyVfxzKBAwHZGe10syfw4AvYkD3YoRbvEW836ltmafKytRvPHCqoudiDHfTgMphrR8hgjId%2BKS4cifQti%2FakAZSf5pbiog0ohyl6FnAySgLMJy15TdUwBhT%2FYI0sNzNPK5XmACyEDjFK78H2ChYy4F7gCcsiWxzNWXqcumiUVUJ5AOqgIjUoBxfVgn7dA%2FLr9uQwLv0vVGMLm4ycDrKJ4G%2FAzcCdwF7wVcJCK37WKck6XVODkeZoxf0dcWS%2BZwG1VzOLQi4Ibql9PNZz4R3nKq6ItLvfWxGmYpQGlCzLfe5lEr3ce79GciqBiZ4fycxPE3SK6sRpQnY4W8yQQ4OV%2F3NaipGTHSRLE8ARdkNZCses%2FpJnkH1nRhArRfEVtGyAXXLskXhem3fvaxMsdroNtPbagPKxcCHEI5EPTXNUA3C4WMzDaPmG1VA9cEr2HaU2YKcB1wIHOH5JiMo4m3yrtgkIxXEo5X0RSpIRStwIhFcsRBVbCdFJJmgKhWnKjVINBnHdh1vnUidihyKcCjKJcCrrqZuB27GcK8poxIweuORcqyFRP4oxcT8cizy5dBQnx%2Fp%2B8ImV%2FbnZuCtwJkIj6P8BAOsSWHfGyM0a8v1q%2BwZmcL0oHlqUp%2B79XSh6YWScYvKluJyOVMyLw3hUsUSF%2BVB4O0YK%2F31KPcAWzF6rEIN86u4DYu%2FBWz5NcD7gO0IVsjCVqAW4ViU07xrz4pl9ajr%2Fh14F3AUJnLrPmA7SjKn6pWqugC4wHvfDpSXEKKY0NnxFJpZZhwqQF%2BHET0BNnoqpJLkc5NpicMCHCwRUQ1YULd8dAnqOEXnlgFl%2FPlxFMrXMfrfSFEGolREWvj1Cgx3OGp01aUZacGb03NR3odxZZtnBCoDoq5t01NZz666CWxpmMz2%2Bknsqm6mr6KWrkgVKcsGKzNdRBXLdahLxalN9NI80MWUnp1M7drOpO4dNPR3EXESKBJT5BBPHfIB4HbgfxV9ShAHyXDPwwXWUA61SEeXGojCNFQDU9CCV06YYjnvLP%2F5GMqpwNHAL0XkO4q2w74GVelHdE%2BaCZEQZWaA4wzqSUObFhTn8VQ5QS8H8crK5kgFoa%2Bg0C%2F81tNnfRg4xvspt4834vJG0lozGhG%2BnLU5FN704sBtCFd5Ya03YPT8lwKnI5xehmTSBnxLYvKcJvQIr4wJBe%2FOL%2B854JdKcfeXILetIiKqC4GTcFmE0KyogwnXfRZ4XF1nl%2F%2FcBX%2FZxDM7B0LLU9dFRM5C%2BSmwgHKpHJfF%2FHtGxQE3iyt1FYTxqvo%2BYBnCfMMreLJ5dQMbx81k1YT5rG9qpb2qkUG7gozuqnhDemM1UD3ObAUKMTdJY7yHGd3bWLRrLXPb19HcuwfbTeFiTQQuA84T5Ebg5%2BrqK74v9lWXLhoWqOatG2%2FwGjGcWXli%2F%2F6ioYDqaHHRhm4FPkFABBptUL111ixUmITqlKxaFzYcBT4GVQUZbtQ0P1vUzHLmD%2Bpms9Wz24AdF67fmPWeLcsW%2BQBuA4cCpwCHYDj7cC%2BQTP0tjBHwa8CHMAbPfoxeqyOrVdljF8eEnj4DPCZIZ2ALiSAcgdGXLUZoIjz0dC%2FGw%2BA%2BC3nZNY2Y6tVlKhmAD6OE9%2FzzwB0ist41wFZwDgQAtQEzby4DWskYUYJlr0D4LspfEcO7B8tNl2U20RNQbiBoBxhJvoPC1IXhfpePZJ77YjQAFhYuZyB8HuUNgCW4qNjsapjEimmH8vzExWyvaSFpRz2%2F2KAxNuQFxVQcQXuACJbrMm6wk8W7X%2BOYLc8zfc8mosk4rmX5ZbwC%2FAj4LdBHEogOnVMtL1IqWPFiA7hvBjdDxfRD5fq%2BDq%2F%2BF2A0esugiM%2FkyGmH9zMsymfIR3cwpl292l%2FgDrASWKmOitgSajnOAnVDSe9Zvwc7EL4IrMJVQSxfwZHmxCUoG0MmqYmhFAZonxEsUdxM%2BGpmPriIJNOWqQxzuVVEPoonMquE6TgFVF1ckr5CQj2dbBlAU4HJdfBvBDeL7HfEgONRfoXwMZTfFxxU1QnAtxBmlzWs5azZwvP9PszmN2y66tJFWGrhWi4ozbj8K%2FAxlHHiId7Oxik8OeMYnpl8CLsrG0yF1IXcxDpZBoPc62HXgmNpgNkF2quaeHj6sTwz%2BVAO3b2WEzc%2Bycz2DdhOEsVaAPw38AbgG8R4FTX%2BsDIEb4DSIn%2BuyJ3fCBfffDBUhfhwqJCBI7grZVg2C3%2F55da%2FtD41ly4CXsaSr6Oqo%2B2jd8GGDaPcUfuGfCDxOSexRSmiPy0B6hbqcYdiEC2gJyQbSsOlgralC0kMDhKrqlIMN%2Bu%2FONvo1t4OEyYw7ZrVtC1b6L8phZIqHFQQ0H36dfhlGWNuyjsJ5TIosv1m5uA4lM8Dj2GydwV7yN%2BC3g28MdSoGN7xwb8HEXpQ4phNyGfyA05LgMmZ8CjCj4He4a5dnzN1xQUTzfZfwPmAWLj0Vtbz5MxjeHjGsbRXNWX6WvIbZ4kyznKZaCeZHUnREknSYKWYYCkVoqSA3a5Fp2vT4UTZkIyw3Ymyy7FJag6YeVxvX6SS5ZMP46Vxczlm%2B4ucsu4xxnftRCEG8h7gEJTPRiVyd9L3BvjAorI8AUpzqKX1UssxIX1JcsW2UtZFKA9wxcNIpbgYYD7bmBjwGCYKph4zYSchTEOZBUxDaS71zhzdrQBLcfV24Jn96t1wENJwRUEPiFcAd2DCW3eMpLyhPbfHPLM%2FnNWNDr6%2BxD0ZEhZiUiOmAbVt2UKfVRmH8i5yIVSLlrwO47HyNMIrmHwFA2SkBJ%2BcwDMDoJ2ouGGueOWQH%2BHkrZs3eIbdI42XibBuwnzuXHAaa5pm4ea%2Bw%2BNEY6LMjcY5sbKfEyv7OLRigKmRJA3iEBMXK8Q9VhGSKvS6FjudGKsTFSwfrOHRwRpeTlTQ41qZl3jA2hut4sHpx7Fm3GzetO5hjty8kkgygYocDlyX1NSXROQ6VePRUQ6oFnPsL4%2BEHSJyl7r7IyvP8FHM02tXYCb5TIx%2B%2BBzgRISagtxq9vXJwLuweebAeCH%2B45NlWYgljzop52mEFK5xm%2FpnIs8vsiWPmywuHcUobFk%2FHFhSpsS3A%2FhvhN%2BjugnEGdqyES9acOgGGZ8ztURw0bcCPwVmiyrJWAV%2Fn308f5vzBjpjdRjGOCiaC%2BNshzOq%2BriwtosTKnuZbCewA%2BCZWZLhHRgVpdl2abZTLIr1c2FtJ3udCM%2FFq%2FlLXwO39dexMemp2MXX0Srba1r47SHnsamxlbPW3E99fwcq1iSUH6tqM0bfn4DSoDrybFOKpaoRIHEwhOLlUtuyRUZ0NNxmHBNe147Zua8FzkL5Isb9JpvCJ%2FDpOEzEZEfaB%2FX1dvhCKpcwCosaKqRbznoux8LfAHTt20AGVUUdBT%2BzU4RQk1CeX2q6gJx%2BIfyz7wEhIvs9Jt2ba9m68GLeJqbuccJ8Yc13R2BcvoqTsBfl44rebKxfUur%2B0PoMh4NPO%2Btb4Lp6HsJVwDRRpa%2B6ntsXn8kTU19H0rLJzogoNNsOb6vp5oP1ezm6op8KyWgQC4Fn0Nsl2InZ9yvNdpLTq7s4taqby5OV%2FK63iRt6GtmYjGXuUyUhUR6Yfiw7alt4%2B4u3M6ljK4rUAV%2FHuJF%2Bvxx3uaFZ%2BcMH4M%2FAOzlIATWM2pYuxHZtHNvx23MIxoXmiDIe7wbeDDwxkvZmOZ8XIEsscXH9OHYRFclKmhIGmv4kKwWoggqiqqpYtoObz3L7r9hX42o2j4AvbMH%2BUGoqY%2FTHU6KuF7Zq9ORBFVPA1SGdzyHtx7s%2F56a3hk7ErI2WMjnLp4DzEHb6gNa2dKH%2F6M8weV8zFF7mb9XlvRLm8FRiAwq7Xm6fXfUBz5pvnjsT%2BBXCdFGXztoWbjnsXJ6Z4N%2BTGeuIwJlVfXy6sZ2Tq3qIiu%2BgXE6HlaszzMwvP%2Bp4VaKKq7rG87veBrqcnGMbxGJG7w7e8cJfmLVrnT%2FFBhC%2BiMuVCG6xyKqhcaj%2FJHrDXMMKxqL5U%2BCaMvqkBuPU%2FsRQ35vFdWVvrDGMg%2FlkjG%2FlVGCSq%2B44hHqUaoSoopmM9gU5nuDkoPCYKSlFE0AfrtOB8YvcgtFrbkTYqYZrom3pQhwcbOxRAaZ0%2Brjs%2BlZgwGc8ykRM3HYT0ABS1zeYrAGqECoxfsIxjMnG7xPfACkYd6yngf9TdNM%2B9MoIJxPdthzk%2ByhfRYsEyXhdAnwdYWcuty62Leo4zVll%2B8bVfOllklj8ByVZU8LmhWKSBz2L6vOIOOUYXq%2B6dJGfngZMvtorwYBpR914%2FnD4BTzfMpcMVwmoMCWS4lMNu%2Flg%2FW6a7FSOvbscoMnyjcrp%2FJzF4flj%2B5a4JbF%2BftLSxllV3XyjYyLPxSsz96nLptpJ%2FOaIi3j3839mzs5XUaQK%2BCpCO8Jv0MJ%2BqsMX%2Bfe1i9R%2BoNZr1gRB7lmMv%2BGEEo%2FZDDGKJCubFSARQVM6ATgcE%2BJ7DCYdXvAYDkND7eORjYmLf%2BSIyW%2FwGCbHwcs2dj%2FAxsvmYdvDA9asDcVwUY2YOPmTvX6Yi4mpr8K4FNlFCwwyKfntPheT0OT9KGXksxtlUnGAnwA7Ef4NZRFm0whSNybj1fdRHs5qk0eu40JwnRZTHZgkL6cPv84A7EDk69hyNW4Z%2BTsz9Z0K%2FABYJCjdNU3cfNj5PN8yLyPie2B6fOUA3x63nVOresgX0wu9ZKguRCH5LTST3yIqLm%2Br7WBJxSBf3TOJP%2FTV46Rvd9le3cKNh7%2BN9z13MzPa16FqNWCM75uBR0D52aUL%2Bdh12etg%2BID6Dw6mPgVAdZCg200uZY9PtFS54OWV1az8pJXA6zSl5wNnAPMpRzcGQ59PFPm%2B8LMWJonMXO%2FnPGA3wnLgJpS%2F2RF7N5pRWZQDrNn6UAHV6SgXYuK3D6eUNXyo7cu083SUkzGBGfuNWq9Oz6kEwvXA3zDc22JMEEQKIxGsBF4A%2BnzXrCyOUDBbSqpES8tdi%2BVIycIk4D9w9V6Mp0BBSov6QiXKl4FTBGWgopq%2FLHkLz42fn6cvPbemhx%2B1bGNudCCnGsWsdsWMCIXCIfP1riK5V2BedID%2FmdDG1L2T%2BO%2BuZuK%2Bq5W6bKtu4Y%2BHnsv7V9zEhI7tqFitKN8B3gnSJiEMcvnhZWXouP%2BpaYgbyJZli7DEwsvxGAPOxsSc3wb8B8KRlAumo1Cfsp%2FNH%2BcWlHNQfg38BeW9%2BHkeKqTkiQ4539eALkW4HROVcjKFwFRyfsql7HtjGI%2BO%2FU%2FBSB2lAgOkEUz2o27vq4n40o5n9M4iBXVGwXkmzHe7UL8abn8ayrxi8%2BSqSwMZo4xL1%2FtBcS2bh%2Ba%2FkeWTDyUjbht6R20XvxjflgOmYShf0GO%2FSIOGRwo0WCm%2BOW47X2lqp9oKeh64rK%2Bfyq1L3kJfVb1RGgivBz6LOVonOxqMcgFV0v%2FL7oN%2FdhpmO30QcRwHYIGq%2FhyTnPgi%2FAU0Ghz%2BaI%2BD5P0RpChwAub4katR5vru%2FGnPhAL94NFU4CpMNMqhJWuvOT%2FlUv66LEuaGHXycVD1WIxx6v8wDu7fBr4P%2FBzlD8AtwJGF1IG2WCMf5zAwze2rbLJEpEqkxIsNKC8EPgtUCfDitMO4b8brUbECYydcUNvDlS1bmRJJhKpvy7lU%2BksJ%2BSxFisiYIyrF4dNNO%2Fl8425ikj2JXhg%2FnwfmvxHXsv1XX4JyLgqu5WaBanmA6jvUh20Kw%2BEiDjYqtlsPkXwQ2bx2GyJyDiZN2GUMV6wtRmHjMNLygsETuX1kqBJzntNvUD0SoKK3In1sRvYz6YcmYsD0EpTYft5MBkfhbcOtXxQTy39kgRpHMfrzywlbi4pRY472OHtlF6Gkol2FotzSor5LFBNau0BQ2usncsf80xiIVATmkHBGVR8%2FadnKJDvhXQ4DvhJ1LMjAFvKp8z8XaKhkF6RATFw%2B1biTj9R3YAWi7BTh4enHsmrKYiyzU9ZipMzJlpu94RUG1HIHbThcxD8p%2BWBaWReldd7kdwO%2FwiQPMSQ5v4dD5YYb%2BveWM3fLqU%2F%2B%2BB6H8HOEOfGaeN6JA8aSr4BEgM9ASLLykfRDefNtAHh1BG8ZGQmNlOeKdxjGCzj3eaScTioXZAv5KOffswVlfcE%2BdtP3noLyTgDHjvLgvDewpXZi1oY8P5bgey3bmB6JB5jC4CYRdFmQkLqI3xEh14ONKdTY8q8rUG05fKV5B%2BdW94JKur79kUrunncKnTVNvr%2FAsSiX%2BJtOOqghvOwhzHQxTtQlxYN%2FVJKQQS4wgS2vOwd7k2eD%2FBDDmWWoEIc%2FFNIhXA%2Fb6MK8TYayGWYzBMejfEFEKpCQgxHNZDweuGRIbRlu3%2BQ%2F82eEJw6Y9KREMBx9qbZUIUTz7xHEknAmjBLXhl%2FnFML1qrop7OufXbrQr0818FGg0cLl1UnzeNLXm3pUZylfb9rJkRV95mrovPcXU85kTX8fQH8REMv8oBngFgHLvx6WtCPwu4TjggLj7CTfbN7BgmjCgKoC6rKuYRpPzjzWxwQBPijI3OCaCrfyl3PaaaAG%2B%2FjomX1PYTt2Gvw0%2FN4calu6ENds3dNQvgE6aUjvzlACoRelG3NaZz%2BG04oDDkISpRdzfEsK4yvqZ7HPkEnYHMUcuFfh%2BULWeH6t%2FmFt9d7v8g9gzK%2FvRar6W%2BCBXEAY2D5A1aSqt2OOnimXBjEW8G0oe712B7ei%2FFDVfAPwACYL1Z%2BgjBMF9gcVN1BLOFBqWLxFMVBd5%2FWdhPRJOcC7B7gD5bci4YvaylT1jcCZoAzGqnl41gkMRCsDmaKE99V1cGFtR3Z7C1rlwzvGZ2jceAKnq5dkRxdOVy%2FuYBxNpcCysCorsGuriTY3YDfWYVdVBqIAc8qXMM42u04KHFrRx2eb2rm8fQqDAcB8rPV1HLbtJSZ1bENF5qG8G%2BUbWIZLDQfUMNGg6GD843KngYgl%2F%2Fyp4tKC7x0c9rUJd3wf5qTYcmkQeBXhWZQXMKdrbkfo9IBzEJPAwrcDK4qDoOqoprYPutHWKg9OhWDGnkTNANH%2BShGzdduBHz9pTCPG93U2sAhzTMQCTJBBccr0RQPwNhV9QAJn9SFQNbmqiXKP0jHW75sxRpqXENmDakJE3Ey%2BbSGd3FlNW9NJcwLtFhFHi2bePsAU5pxfkMoM1DDkB6fYBddu8TJSBFwHc13ifnZpOktXDOS9QK2lyiuTFrCmeVbARUpYGIvziYZ2YuIGXjcU1yczl1Id3Qxu2MLgxm0k93ThxhMQ5vlgCVYsit1QS8W0iVTNaSU6oRmx7RxgLd%2BD4B21e7mjv44%2F9danB2x3ZSN%2Fn340b%2Bu83We23oFwLa7JlVyAQ2VoNBSO9iCidMSO6cPpGIApPNEzn%2FvzChNQdALmeJC870ImeAJzJPG1wBOYc%2BLL85HxcEssITq1KvBUtgEj1l%2Fl19ohO8NQLyafQaZpqRQSidRj%2FE%2FPwhxNcXjBOmT3zbGi0oBJTOxVUQBaVHRqGfNpEPgSIj9HvXxp6Z0rE2GjWSGq6v2n2fUR31V8%2F4eclk3B%2BVWOL%2FHQDHAjM8J59SrcbwLGLnAGKPFYFctbX0fCiqYB1RJlaf1e5scGKO20H%2FYKwentp3%2FVOvpXbyDV1UvwtN9QlaSCG0%2Fi7txLcude%2BldvoGrONGoOm090XFPmpqL9m80x1VgOn2jYzSMDNbQ7Nr4b2MpJSzhp45Neyj9ZhHA2xl5SpmN%2FMadyn43%2FBwNV3yrtMTK1CJcA1aEuJtlNi2PEqrA%2BOgxYmMfh50s4AwjfBrkS1Z70d7YFru7zwwCD1LbUpIiTSASMeLwCYQXK7xC%2Bgjl7p9SxzxMRxhEAVA%2FoKtGyfG3XATeimkov6P10Hvw%2Bo1I2k3KWiwgiFopTruFXkP3Sd%2BcAEyxV2ppbebVpRpZV%2F4jYIO9Mi%2FrFxPtwK1l8yw56lr9AfPtu79gUKd%2Bu46sIBuL0vfga8S07qTt6MVXzZxluNZdbynMV9L5TIwQdX9nL%2BTXd%2FKrbA2VV2qsaeXHyEk43OVQtlAuA3wH94QmmtcS13B1WdCi76AGhHAANWqVbUT5HkLPM9RvOHvc9GLE8n4QlaACUC9NdKD8EHcCywHUPGCeV%2B94A174Z%2BCLCYcAxJeZEBSb3bIbMd8ZKUNrvcQCPs%2FqHB9JcKic6qSAZ7c4QH9mHTREwUtxZAK5l8fzkJfRHKglGRL2rtrOAv2lup%2BRUWJX%2BtRvpfmIlTnd%2FOJCWMtBl3SekOnrofHgFqe4%2B6o5agkQjOQ96zKBkg7r%2F3qi4vLeug5t76%2BlM51QVnp%2B0iNdveJLKeB%2BIHIOyEFhRXj7UMBVDBlRdf9TTWdwJnK5Zlp6oQIfkg9nQy0iPVboAC6gD5iCciYnyODzrmeLK%2FGeBUAsoypSC7cimxzAgckDBNIzSobgKuOzC4hUk5yC%2B%2FD4p7rjzjyW8jD4Nt%2F0%2Bs5Kjmw61lhdzhRoFSqfngyXAIYLSXdXI6pY5WRWaGU1yXk1XoP7BUgqAl0f9azfS9cgK3P7B0hxpOaoSABE0maL3mVXguNQde6gvjZHPpQYfzIj%2BR1f0cWLVAHf01eIvjC11E9naNJV521%2FBRcYDJyu6ojwOtVBDzN%2FjMGn%2BsjP2H1hSMgaYSgyANmOyOc3GHMswD6Ul9OnCfZDERDwNWFaox1ll0f7KUJ%2F%2Fx8EEpsE6tS1biBWxcF3XLTl5C%2FdXuR7KFYhUgPaM9tEyB4xGbRMJCUAfyufRao53%2FDMmWq5BVNnSNJX26iaCaH5qVR%2Bzo4NkfE4DkyMtHQbx0riFxbfsoPvxlQZMLSmqKhHBsEWadbmwZC2grtL7%2FCtYNVXUHr6AoXBqNZbD%2BdVd3NVfg%2BvN6AG7krUtc5i7I%2B3mfDLwi%2FIz9hdWBZyIMa5opggNA96hcaojnxh%2BvkzBAGuEUpFhpbeD%2BzBneec5spddwtDuO3CkgTYOR8IwFKc8I8lMVE8E%2FgIZSedg3Gz2O2kBq1RQgtsPEoAY4IuiHAegImwYN5OEHUuL%2BxFRzq7uJiJ%2BBqnQggLfmAY4vf10%2F%2F0FnB5PzC%2FQHhFwHEgMKPFBxUkpliXEKoWKKsGOBooN%2Ba0pl95nVxEd30TF1ImFfHVyHjZ0clUvU%2B0UbakMZK5rnkEiWkk0OQjIoYJMLT%2FbVGExI0KucauQWFK63uHvlWE%2BW%2Bz%2B4LVirnGZ79Zjsnd3AiPLAu%2B9%2B2DnxBQtb8EW%2Fr4D2IUwuUQZdcB3MaGYf%2FP8cIsnXilRLz9jf9Hn%2FT%2BC9%2B2PsRkCCIpKlsSfpmJeQPuqziZf7SJUSUQr2NgwNeuWaZEUr6vwHWBCFm4oxir9L79GYvvugBU%2Fu20%2BkHbtdtiz3aWv2yWVJH0CrRWBqhqhaYJN8ySLWIVk9qEcZs7pHaB3xWqiLc1YsWhIB%2BZzjYoyI5rg8IpB2lJ1nspC2VEzjq7qRsZ37UCN9LtoeOn7hrrARjro%2B%2BL5XK5Zit63GROz%2FOQIa%2BKX6UJIntRiIJBbTy8sMYuLHE5%2FFQIWQCxRdVVDN8iy3qF7EHmRUjpqQwuA6zAuZA8AzwFbIe2LmyRzYqfLUFpZfIP3y3PS5WtIykGGd85S6PuHMD6FGNT9TqbO0xCmCNBbWUd7zbgs6%2F7iaJyptm%2BMKqXsNddSnV30r9lAFgDnPBYfVLatS7Fnh4vjZPO%2BqoqbgJ6E0tPp0tluMW1uhJpGK1wyFiHetpN42zaq5s7MmfNhdTTSdpU4HFsxwO19demB6Y7WsKNuPBM6t6MitcAhIz9TauSDVJrC%2FThHtw6F%2B%2FUZhM8K8oAPXiVF0dJ1nItJijE8CWG0qcCiVVcFmDCsDVLAS7J8B%2FAO%2FGis4s%2FWYI7QOBMDol2EA6oPgoWbFFwohevvIprCGAi7MR4c2zBGx7Xe710CKUWzQHZI6ojhjp0IRC1wnfIZgH1AAYPULJQaUaWzupGuaPZBBIfEBqmyfJV7ECBzDVEZJmBw%2FVZSXX2ETkCB5KCyaXWKznbH65Ji4qnQvddlw8tJZi6JUtdohQZLaTLFwKubqJw5DbGDWsDcG8kytx4aGyAmSsK7LWXZ7Klt8b8XQgE1VxQO%2Fj2aoDaU5wtZMAtxTsX7vDy3MHNg2u8QfiLIhrLBNKy%2F8t%2Fxb5gzgiT4fVHu1C83sAFkZQMql5MJ85GVAp1l6lx%2BWGpuH5jf9wCPA6eW%2Fax5byXGyDexwPdh%2FVpOueH1DPaN4Vb7MBzycwr3Ag%2BgbEbAtm22LFs0PLXPkOwIijg5NsFhSQqjREIrJpyZzuomUlbGBckWZXEsnr4xa4Jls5RpY5UbTzK4aVuulSpzqwvbN3pgKjnPh65t891An7JlbYo5h0ULiP9CYvtuUp3dRFuaCPehl7x1MTuaoNFy2OXYHtAKO2vG4UqaG55V3ChVzt%2FhHT%2BCXZnCk2Y0LJyl3MLMIvIjmJajpNRRsEfIlWR%2FjmFi7MvThQ3VkFes%2F0u3f%2BjvDaHASQh7gW8BizBhruF1DPP9He16la%2BqsjGhufWm3vpOlFcRfg9c5zjOZsQk1y5rTpQ7ziHkqIMVdupekHvaf6A62f9jd0U9jmROMI2IMjmSCGlkTgUD%2FvNOTy%2Bpvd3ZutOA3rSnw2XPdje7velyJADO%2Bf3b0%2BmyZ7vD5JmRcF1qf5xkewfRlmbCKb9Tm%2B0k9T6getRZUYdrRbCcFMDE8jP2D4WKeQqUulZaR1xe2eVPshTCNoS7gE9hMusvw%2FiKmjDIyAgszsU8NPfVQhgKx1bI4Dca5JUVtavvR%2BRzCHsK1rHczVEK%2FD3EOg2JTI6HRRij5K3AOT7%2FUurEgrLbUugWkeLzZ3%2BAqZGGLJRmABWLeEV1Vr3qLGW8lcp%2FMLexmvmc6uzBHUxkP%2BLNSVXo2OWSSmqaG5Sgi4B3RHjWczlMn3m%2BQJVcl%2BSeTtI6AQ385NXbvKfecplieycSerclY5U4dppTb9r3OtRSu3PuzqNp%2FZjxNsvVGZXDtWjWXy4Zo0Mco5fbjTlpchXwPMoLCBvxne0DdR8Va2%2BocpzyFkOx%2BwqKPmWWDeUD2VDrRuZspaTbj4r%2Bn6h0A%2F%2BJsLik2qWc%2Bg4HTEYCQKaORwHXqupnseRaVLWg72wpb5Qy6iK5Dpfhdcp%2F5yiS5wZpIdQBqAiJaEXW%2B2stl3or%2B%2FyoNFCFqREBp7cPdd3gi9KPOino6w5wp2gaVDXPkOSZwcTLhOV9P9ivxAeUmmh4Mi%2Bnpy%2BjbpDig6RAVJQ6OztyLWFX4Fi2fyxE7eicejoS8SzfOu1irOn3AdsxLm1WyV0%2B%2FPsUJglJH8bosBcDqHswxo5EWFmj6jIzXLVJqfuK9f9Iyy5Ehd9TcKvzgwTEFRVLblV0FfCvmFDfCSFljZxGY7MqTi3Ad3G1Hbit6U9NhILqqOg7Nd%2BGUGys9xXHarz60yhq9KeZ90VRInkRUEGg0jywd%2BOpgvpTJ6WkEtmN0QA4G%2FDM9gxIR2d6fe06kIgrNZLLHXv3J1Ko63oZqTLPFdqUbAyoBgtJWTaupPm%2BWHGjVOlOBmUX0IswCy2xPxZ3TQrW%2B0iMT%2BItwJ9t7DXOUGKah8IJet%2BPGESHu2CG%2BlwYp76vwSj4zvD6xgnLwOWRz6m6jotY8oogn1D0OuBijIplHuTkAhgJjWRDKZ85aAG%2BAqzouKhj674CMg2KtvvTABXsksz7M%2FbsEN1LvjdaCSVvET%2FhtPQdfEVg3meCh3xATn%2BRY8TV8O0%2B1wicVc3CQCU5hShZ3K%2BUHylV%2BL7lwOdQzsS4xxxF2OIYmmhShXErOgbhCgfnHuAm4O%2BYvJkHn3P8aHAj5Wxm%2B3pRldrwwt%2B%2FkZx0gLkUMFKhaAp42k26T1tR60eYY0Jej5k7czCW%2FRqM4U5Grc3DUZ8UL%2B91GE77ylGtS5CsMu%2Fbl2RASklLdIqtTlY7HIRUQUNGeGOtqF2YG4yAHTHPZbjRkKL9DxJ4j8%2BoWhCJFQYaiUTy9bD5hafJRUhlRVkoEdfB0nTtkqXdpnIRP58clLXAauAGTCbvdwKnIUzIbWR4hxTpd2Ua8EEMWJvz4eFuUrRhBxKyiIwsemk0aSgLIAysCnGJpe4pRqXAxC976MDSiXCtIL1a4kHfsOePmRWzQNmBObf%2Bb5iTBcZhAHUqMAllAuak2Dp8kIVInhqonHpnfy8YKagaqEcZj0msXRn6bPjcFMxZWb%2FG3%2BjLe3d%2BXxdKBjJSHflokKRr0gcgqkRT8UD9lH5X6HdLWF9zxGmrpsocXeLmc4p2RKiuFfp7gtxoqb7NcaWpFCoqC%2B%2FHdm2leX%2FRDs4sjpQKfX7GKQ%2FAo24is7mEpu8LW7DFRWZjPDL3dAB%2FFpE7FT0M5e2g5wPzKeeE1WK6InNUxxkYf8ZXsPkzcIsgLyiaVNUDHwNe%2FkR%2FAeFGIByDCoCmnzQ5pG9GTmFjXRzYBeMhsRJ4uBSYBik4PluWLQrqxuIYx%2FptmEip3Mb7hwblrZL03i%2F5RgsJinfpNpnIAw%2BYazBJfuajnA1cCGVnDlsMzABeGnafF%2FIDBgSbvBiG%2Fc2xKiRTSScaiXYYtahLLJ5tv%2B1Wi92unXkgq9O8azkMWqSxHisawY0ns94FBucax9vs3emaU1VE%2FQHO3Fhos%2FG%2BbmyxiFZIgTksRJsbPPerUnndzWTvdYUdfqJpBSyIJQexnbR3Q2ekSBnl6R8h7c6gKBErQspNJYBnrIj1jJtyfw68BcNhHgsFEg6Xa1gRbJTFmIl8mYrej3IT8CjQgQTOidf9DK7lT%2FRXROQ7mrUzS0ZplN7FJTORSlGuN0S5dSsWLDFEjnU46pdiUkVwHL2dpKAiPV3lPL2cZuviwrmZQYyh8lXFuUOw%2FwD8DDisDDVMIzCT4QBqKc8VDDeYJWXub%2B7Ue2c0EgXY6de3Od6DpS6uV5%2BECrtSsUxfBUXw3DZ7flGRhlrsxlrcHXvzMkwpUD%2FOon6cRccuJ6C2DdHNhjB%2FldXCuCl2Zlnl3GNVxoiOL%2BSDGj5QnW6UDtfOul4T7%2FMAVQB2FbfylylCqbfoc0U6N%2BWCsBnlFyLyOzUZhf4FE1o4Oa%2B8csW2zH0TUd4NXAA8i%2FAH4A4iuoGUMcf5Z0btc2ANAmJpGq%2Bu1gB9YxmVCtP%2B1I%2F7eRVEbQUeRfgOyrWob9kuSBWEHUJYDIhzgbSYPWGoYLoP3KYCtAWzqdlNAx1E3BQJz9qfUmFNMuBKFaxsqOVcsSorqZg2keSOvaEqkUgUps6JEB9QBnrdQH9p9nty1l0kKkydE6WqVsKXpCrRlkYizQ0Zo5XkvDzE12tzKkqXa2WVM2mgw9tYBJTNI3PsLzBpWq9Zk%2F7x07Ur2g3cJcJlwJuBbwAv4jvPBydYITEzZ5wCVAWcBFyJcjdJ%2BSEmb2OlLyZsWbqwPCfsYdMQ2AZhDjANynQMH6N9Tq3XrMkAuJlvKzD%2ByuVQeHhuuYBZRHpwLSiDS85%2F576hDcCACjT0dVJj0tal6%2FdyopKEhkBK0EvBt8x716tmt2JVh6utVaGmXpi5OEJtQxDIvM7xrfgBilUKrfMjNE%2Bysvsi%2BLdlUTW3FasilhmDoh1p%2Fl6VqKQ%2FAKiWOjT3tGdAGVaVBlTJ%2BV3onQUmzbSrVxvu0NM5qAHQ51G%2BivAmYCkm1LO76HsKTapso5tgEo98ErgNc87LO4Dx%2FmNtyxamf%2FYBOcX6IlDPaZhNhSwVxRgdcApIDP7x3OFUbF1A%2BZ4aQSYi5BlLC7yg0Hv3AYd6xbVptUwbsEsRGga7aRnoJA1swIuJCtqdaMCGFVK3oPFNleiEZqpmTyUdAJBTfwXqGi3mHBZl8qwIldUWYgW4Us9rKlohjJtsM%2FfwKC1TbQqSKrEJTVTObs0G9%2FyKZl1JqvDUYHVWO2pSg0zqaffxfQB4KRxQS4Fn8XeHUus1a2j9xZoMOJo3b8PEzL8dYwj4JWqOYw19f9i7Ck%2FcZowq4AZU7wA%2Bg8nUb%2FmTd9tHl6TPmhoVEvaUqeMSTHjrEhTcpDvGqR5MZOaH7YUplb53NO4pMLfdpBPORBQqc99yqDuBtSBUJAZp7d4e2FiUTakoLyaC3KbPmRbgglQR26bmsAVEGuuCnF5We1ShokqYNjfC%2FKOizDkkwtS5ESbNiDBlToSZi6PMPyrKrCVRw8kW00lHI9QcsQC7trrwTTmcogA7UjGe89vmIej4gQ6a%2BvaiRtxvB14u7DYVLLuYyDHEAcy18EZiUZKJRC9wP6oPIbIA44pyEeYU0WjJd4W7tPgUw%2FdphctR7gL%2BICJPOY7TB6OqZ30Vw4FHCtYrQwuBHwOXW1HrNRjLVH%2BgyZ8HHk1FvWPFCxn8zGclcJZ9QRpJpJQvVpfjdbOvyLx%2FAHgGONtyHWbv3cjDrUfjeFxnv2txX38dZ1d3Z1cyTz8ZLFOJtjRRd8xiOh9%2BFk2G2x19w1JltVBZbaevScA%2BFaIByKPqxbOpmjM9c7MU4tCy9TVPx2vYkIxlrgvM7NhCVaLfv%2BcVYNPQD%2Bkr1NnDIN%2FCm%2BbORBxMfP0qjG%2Ff6Rif1jeAN7lDe7uM%2Bpl7ZgAfAd6tqo9jfFrvRdmWrocfOTVUUDPlP485Yrq1ZL3Me84EbkT5JsI9eMeFtC1baDK1c5CeK%2F9PRlneBABCHcqHMNmmwoEs83ecYrrWMGYkLJIv1HAD6qsoy%2BVy9z09DgyoSNX0vW00xbvZXdmYRrJ7B2rZnop6p56W44NnrlXNn0Wqu4%2FeZ1aR9n4J8fzJ45uCfVe0j5TKOdOoP%2BYQJGKTlWPALzgPXE2hKbW4ra%2BeuHovEYg6KRbsfg3LdU36PnhC0d6RJ0cZBTeOXO8Az2K%2BE5OP9FaUozG60LcCs4rWBYpxqz7VY3SYZyKsQrkVuBXhZdQYyYbDLQqyTtEHgEtK9lWmTkcDv0G5B%2BGPKMuB7YomkOEfA3KwAHHu8d3l1L3s%2B4Ip3LSMZ0uLyhXAoSifwHijlEOdFDoFN1Nu8WtF9KFWVDKpgsr0utknlCl7JfCaIoc29e5lbscmdk9pwpfNVycqeGCgjvfW%2BYnFwlwacheBEf3rXrcEXKV35SsFOdXhtr1qzjQaTj7aBBNoSF1Cdy1jlFmdqOTegZqsNkzs38OMvZuNuG%2BCOh4SZAgZ44s1ZJR844Ig0LZ0IYKLYg0Aj6rqYyLyU4RzUS7GxPtnu7QU2OWLUASjVjgM%2BDAmkfBNmF24269Hbt0Kd4WmgF8jnIOGuNIU7qs64CKU8zBhnC96P2sxeuZOTKx8nEzW%2BmAbKrxruwTpQhh%2BAuRRpLalC1FVE49uSTMmGmn%2FZjgrflcMEzAyEXMEyzHAcYQltS78nlWEAKof0qilZNBic1ZB3AJnSu1nuuK61SZzP%2BxAeQg4NOIkOWL7Kp6duISkZcTwpAo39DRxXk0X9VYqhEst1G5FIhHqjj0Uu7aKnmdWZQ7tK0UFfa8ViUWoWTybumMOwaoOgmm5JPyxt4mtKe%2F8Kc9Va3H7Wur6uzzI5SWMdDpKk3sf7Iy5XKuIKLBWkB%2Bp6PUopyD8C8opEDgOeqgAn7lvCsolGAPZU5jjou%2FCZhPOEPSsIo%2Bj%2Bivgs954DKV%2FogjzUOZhjHQuRg3QhwHTBPnnKdlk9MwbFP1RxI781XGcA6FpS1NAHxkRS96H8hFM9JGd7vdyAkdKiHGhZZWna%2FRDTysxpwPYDJVM%2BbcBvblPlwTScgJZBIgIODpybn70SBH%2BinKpitTNaV%2FH9J4drGtoxZ%2BajwxW87f%2Bet5Ru7dIXcPFB7Ftag6dT3R8Mz0rVhPfvB1NpIoDa66dRxUsi9ikZmqPWEjl7FZPzA%2FrpMIGIgHWJKq4sbeBIJjWJ%2Fs4atuLQXH%2FNqADHS1A3Yc7aF6wgCpirOl%2FwhzpfATCxSjnYrIWScg4DaUtNSinYnISvIrDTQjXANt8ETwMVNPJP1Qd4EfAEuCcMtQPhcmEWlZ7P%2BUswlZgdiqV2go8c5CccX8Wyo%2BBhkAf51PYvB6KiFsOQI8%2BKK0E%2FgTkn3A1mr6jQ2cO9g1lgOtJ4ElFzqgd6OG4rc%2BzoWFqOmpq0LX4eVcLp1X10GInvWoFLXvFrMjmntjk8TSf2Ui8bQf9r24ksX03Tt8guG6RuglWRZTo%2BCaq5k2ncnYrdk1Vjv%2Br5D6UU1Cmbo4KV3eP4zXfGKWAJSze%2FRpT927xwXQLBlBBygHUcibGfuCFctUBXhaeOPDkQNfAk1X1VVeRCXE9Gqge1o6dud%2FCWOK%2FinI8RiXQVmzzaL1mDZuXLkCQXYh8EtUahnKWUqm%2BLOWPa65NAy5Q9BnZlztdOe0wYcLvJAimuXUvYZQpi8oI4RxSvcPKzqdu4L%2BAtmEZcsvRoyrZiUOC9x0A%2BeOK61bz0%2FfPx7bsHuA3wCkKkcO2vsATrUexsW4KPpf62GAVv%2B4ex2eadpZoZKH%2BUSQapXLOdCpmTCHV1UNy5x6SuztIdfbixhOo6yBiIbEodl010XGNxCaOI9LcYJz2s8z%2BuZFPhXZj87egPDRQz296GjP3ilCT7OeEjU8TSSV8QL0ddLVffmlADatPLu3ndZvLtVbVV4GwAeUq4LfAycA7Uc6gXH1YcTob%2BLBY8hV1i89kSywv14K%2BhgHhHwPnFpQ0CvVpISrEfWeXsVhEomgRx%2FT9QUodRjdZXnuGQlki3j5tQ%2F57lT7gmyh%2F8hmuPKkl7HTOYdTTNWfPS4Fx3u%2Bx%2FZaVzrZ0J8pTipzQ0NfJyZuepG3Jud45U4qj8NOucZxU2ccJVT0BLrVAR%2BTijH%2FR81WNjmskOq4J1EUdF3Ucw62KmDR8lmXyAfihqGGGJ%2F87CX1Z%2BrOg7EjF%2BM%2BOiez2k6EAiHD0jlXM2r3eB9NdwPUgDpgNJ99xOeNgrFnXCg%2Ba7vNJXYCCIa4%2BO44x4NwGfADDsX4LeJkiiTVKbgimT05Q1cpS9067ejVY6c5YB1yG8EOUrpxeGzlnVrjPa1CiB5JB9agCobroHUGH9lL61ODfhdbESKlYoIp571bg34ErETOnQvXq6TOKyB7n8LILriExTuPFVl%2FhT%2FuAPnbdGr8f2oFrgIQLHNH2PEv2rM%2FSdW5NRfny3klsS8UCkBI2cBLSN7khU4qfFUpsGysWw6qsxKqoMBn3JXhPIb1RRg9aKEJIUOJq8d3OiTw0WE0QTFv693LyusexU0m%2FiJtRng6Wkg%2Bops0JhN68iR6%2B%2BHsQObCcEH4k1mqv7QImbHCFiHwJ4yL1EeA%2BhN7QNhcj0ydlbxw5est2lM9h3HD%2BCjnAGvb%2BkYNEHxxg7tRQHC2cyb9sUT03zDM4H7XEM%2BVQrrQQXmYPys3A25HU1ZTXv0kIzLfcsiVQdqHgAHOKdBeFKNM3LkLXft5EbwXuA6E63sdZax%2BiId6TxZ0%2FMFDNN%2FdOps%2B1A1Urt5I5A55nVAoDpnCuMz%2FlmPeTc10Rru1u4ZfdniuY97itLmdseIIpHVtRc2z0BuB%2FsEhzpxAGqOYgrH6Ux8uY6IrwOKiGJ2rd%2F9R6zRrDJYofNAYY3eevEC5EuQgTNLA1rN%2BL0IOIcbwvtx7pcoUUJoHyu4C3AT%2FEeBLsRcjXshfiWstfLE8Ayf2ui8mrrnRhDBjhNBRjSyGgK%2BJyVKRi5d6bxEgZv8Yc1%2FJ%2BYDlE06BRwuujo2T7zfx4Vh3tLlLXx6DEGUDKVpQX94ekeMW1q30vhm6EHwDtLhazdq3njA1PYOXkF%2F3fnka%2B0zmJQbUCXR9UhYTpFX2wKzVYhfRoQeOXFHDaz35EgD%2F0NvGlvRPoCybLtiyO2rWa4zY%2B7b%2FNQfgZfsrGwK2hOlRPwvglwlyUtyDUokTIJJJWoBflD8DN5kqpJK37l4JcojFiWeC6PcA9iNyP6mIMuF2I0fNVkn%2FcRgqTJ%2FOPwDVDnaxpXW8m%2BUk%2F8JDCQ2JyDcxFWYLJ7ToHYTLmqN5Gz5UngnHnsb2%2BL7VrDQC3IdxwoPvfdV0sy1LgKq99b6BQVqZSNJqx6%2FkA7GKAM4EZn3ZgM2axPAWswKSgzACalh3B5iD8GGUqcCImF3Ak0J5B4DGQqyRSVLD%2FC%2FA%2FwLswQSmRdEtMvbYC38LS1fvLadVPUKKuPixiXQ18UdSVE9c9wZaGyTw56dA0UCYVvt85jogon23cSaU4nv9m0KkeCrtqZCKUsj6HMh7l%2Bczlli3Arb1N%2FPvuKexxIoHyLab37OCtq%2B%2BlItHvL8G7Ua71Hw8kjwkB1EyS422YBB6LUGZgHKBjXg2SwHpMXG8%2FHDyROWGUZcQy%2Fm8O8CIiL4L%2BCjgMZQqSBjEXIYnSgUkGvVrRYYvQPri3LV2IWoqogLIXs2Cf8iJ%2BIl4f1yLUY%2BLI6zCpCSu9vrfJgKw%2FlSzARkigrAeWoyYoofWaA%2BfYb2UklleBdwPHI7R6G3M2FQrP9K8Nze2tuH7VLELFbJYphAGvvzowYNqJ0KGOGxe%2FDYH3DylyzrJQdVd77V%2BC8cCoAYl4HMg2lKcR3S2WhToFmZIu4D%2BA6xBmAHWotzkJPSgvAKtxpdQxmaNGV1y7mp9duhARywV%2BChyryFmViQHOefludlc2sq5xOmDymMZd4b86Woi7wuebdlJnpQp4foZ9LGCJzTVgBf%2BUkPtzH1IQUVwVftM7js%2FsmcSOVITg6QBN8W7etuouJnRu98F0I%2FA1hI68qlFAYErHtIc8UGgDOQj8HcumrPYF2yjhfwejXkZz48gLKw266hXTDWoZ1w%2BCMWlbujDkSJKQevuUN69KhJaWQ2ESY4FxDj6TOW5GaB1mxFmh8c3qk8D7w%2BZWaBnBvsqp%2F%2F5kbK66dFHw%2FUcDNwJzBZctLTP5vyMvZkvNhCzpNSLwvtouvtq8nRnReE7XlxPpAXngGfwqFEA1cF9Qk6v0uDY%2F75rAdzpa6AwmjxahNjXIO1%2B%2Bg9dtSIv6fcAVInK9qy6CpHWnuTX8%2F57CYuYPZq47r87eSB5oEB1KXUsalAq5iGW5FEpaqkqfjhnGoWr4Yj3Yx%2Fhgp6s%2BsCi4Sb0duBpoFpQNE%2Bfx28MvYFt1S45KUDihsp%2BvN%2B%2FktKpuLNFsFUAWBTbVPF9SyE5yEvJsmjKTwtfrrU5U862Oifyht55k1lwzuU4vXHMPx6%2F%2Fu%2B8L7GD8jr8BJBU1Hg9F3jhGYzRGYzRk8jlViViiSfdy4LtAjaBsnDiXGw89n7a6idmgqsJ422Fp%2FV6W1e%2BmNWqcHLIg1d8wS4mQBSlf5BOg243wh54mftjVwpqElwYjjYQW9ck%2BLlhzD8dseApxHW%2FT5peK%2Frsg6dNtc7lTv%2FwxGgW6ZfZMz%2BnC%2FFM154lfsH7Dga7aPxXdMmtm6Fq6cMPGA121kvW2LAvXdbMYrX%2BWOeIlTsHTkf878FWgSlC2jmvlj4ecy6tNMzIND%2Fw6siLOsvq9vK2mk4mRRPCrABUQ9yUg0oeiWYYj7XFtHhyo5xdd47h%2FoIaE5hQrFi0De3n76r9xaNsL3gYgYIKFPgHs8dd4GJgSVoVbZ88y5Qf0XrmZcy7csDEzsQONS6VSRKPRg2KC3DJ7ZtBtKm1CvXD9xn32Pq%2BzawURVe0VER1OX9wye2bmQ2D%2BHOygUYr8uRWk4Jwqh7x5Z2GisJINDQ39XV3GTTMZixFNJrN8C3PLDdYhnQlLZJ%2F3bWBd1SC0AB2qdFv7GVBvnT0rz51AGJ06pHWqEEX5N%2BArQK3g0lk7jjsXncXyyYeRsiJ5KoCIKEfGBnlHbRdvqelmbnSQmGTuyde15lwNgGsQllyEbakYD%2FXXcWNvIw8PVtPnWtnPevi2oHMTb3v5Lma0b%2FBLUeAG4NMYg2WeVT%2BXCoWeRoHjgSbvcwqTOHk1MHjLrJnBexswB%2BJtUtddNeJRGX2aqyYm%2FxH8c6v2EQkSAb6qqi0IH8MosYdLNqZfHWA5cMD80m6dPSsNPMHFONTNSb0M6WKSuByOSS6yZUiFmLk%2FDuFqlOWbNm%2F%2BXmNDA04qRdQsjMWYROJ%2Fx0TNhVEUc6hjH%2FA0%2BzjCKADi84HvoRyB8A0x%2Fq0HiqahvE5EHqf8wwjLpSTCj4FulG8q1vjG3j28feWfmd61lXtmn%2BwlpfamtJgkxE%2FHq3g6XumFrPZzWlUvR1f2Mz0Sp8FysNMho2EhZea6IvS4NttTUV5IVPHgQC0PD9TwajJGMq1HD3oJWFSlBjlp6wpOe%2FVhGnv3%2BmGlCeAXwNfAs%2BiXAFMoDKh1iDfw0KmoeNzeHcDn8NFasTHs%2FVuBj0Rjw3Mz3CekEI3ESDiJZcBHgfNQHtiX7wNEROYjTGY46eCyqQlzNvwgJtJr78iKG0nbjJiDMh1hHCaUNzHMshrUhOJWisjlJb0A8p4HICYihyPsPLyxmU242JEIqM5C5FfAsxhn%2BJDXK8BkhKuBNhE5H0Ki50a9DwFhqYi8ERMO%2Faixt%2BzfmO3A%2B94BfEdV3w%2F8fjTKvuK61Vx1qe%2BaSEoicrUmdTvwHcVaFE0OctLax5i5ZxP3z3sjKycsIG7HArH3pm5tqQg39jbw%2B756WiyH2dEkc6NxFkQTTI0kqbNS1IlLpShJhB5X6NUI7akoryRjrEvGWJuMsdOJkMgyRgaBVBBV5nZt4qzXHmXh9lXYTgrXskDZA3wH40M9kG7ftaW9PfJEfk%2FcbAbuQ%2BkRkU%2Boqo3wTuDfgI%2BjXO3d3ojIUlQfAp4SBJWMEjhL5HYUsQNJAnyOJ%2B0%2BEhYillNZX%2FUQsOReuGFjRkTWzD2BCXSkiByl8BdUdxfUawdddHJdLYLkYqAyXDcexeRRnYzIWUB3%2BtyaQHtVPF9UKOZWFAXOQUhhzsFKBduW9YxKIOEDRdsgXty0l%2FQZdTUt7t4ya2Z%2BfYJ1h6%2BCvg04S5B2gAvWbzAcrGhgvkqaG%2FXHM%2BWmiNhRgHmoXgzcgEhbltYox5Uoq73ZerdJCI%2BC3HPBhFOvuHXnA35fnqSqxyH80vfFJdA1gbVVgXC%2BGR%2FuIZf7D8wFkQAj5eco8frDr4%2Ffdv978doS5OhFxFZX%2FwLUIXIGaDLdXyHjmnUtYkMylT9DfBE3PWbZ6y5Ylgas4d738xU9BbgTNVJCmJlnuKoQX6fq9cNhKN8AzgFsS10S0UpWTVnEIzOP57XG6SQt35m%2BVDicYolxyo6I4iAk1Mtxpdn35Rn5PY5UcJnW184Jm5%2FlqM0rqB%2Fows3EzDyH8BUc7kiHMZXBmfqUx6H6%2FneCiIp2DvS2r6ysHQ9QCXo5JkkwQIuInK%2BqExFOFGQ3sF5RS5ATBHmT9%2Fejij4olgwCcxU93yvjJUwEyF5TNiei%2BgZMNMmTGG64HzgKWOR97gQOAY5EuBMTxeSTBZyo6NmCWMCjwP1AQmFAwHFRW5DTEU4DEigPevcdIzBVDWt%2FJka98SfgCBE5RVVfwwDlXq%2FfWxE5F3QusAXhNpS1WWCUCadrBc5FZC4mBPZ2S6213iKMAKcBpyHSh%2Bp9mCNeXhRLXlbVAcBFxDW36%2BHAeUCNiNyvaCUmBvxehBOAaaJym6L9wLGYI7X%2FiuHAJgDnKbrIW0C3qmp6tQTUOBXAGZiMXQngLkGWAyeAngTSKnAZ5ujv526ZNdMgjlogOh%2B4QFXHI%2FKIV7cYcFfEiqRA54Cch9CMcgaqf0XEH8MWjKRzqDcn7qyojK0cHEwAKiivx3DqirACD05u3nIvVkQQsY5S9FREalE9A7gLGEBpVOEC4BBBtil6h4isU3QQJI4lKklFI3oMyjmYUyzuw5xh1gHyMAZ4moA7BQZVOFlhMqq3e3N0CnC%2Bqs5FZAMmxn2rqutbiCsVvQhhNoqg%2BkGE%2B7y53a4wG1VHRG7z5sMxijog9wo8Ujd1itOzcfPpQA1CAuQ0jIP5TSB7PDCdBpwLMk%2FRDYLchomgOk5VT0NoFGSFNx%2B6AQdz6F7KiUSwU6mTVHiT573%2BGPAAlB9qnUtXXGsy%2FHvJXV4ALsUcGf9xV6xpkVScIzY%2Fx%2Fyda1kzaQFPTjuSdU3T6Yv6%2BUuDER3ZIOuqV7EggAqBnTPwmL8xWULMSTKtZyvHbHuBw7e%2BRGOvmXoemPYCv0X4PrAuGJNYLphCCKD6O5mafXleZe34T6Ma9SZ7HOExQZoU%2FYWqLgGeFOSNmCOb3y1Y00CvB3kFxFX0BJRVCPXAr0FSoK%2BKyBcUPRG4AuEQ0B8gbPc64hLg2%2Fip7%2BAjIvKsqnYCZyB8EeQF0CCgvh7hOpA1hl%2FQ1wvyInA2ql9E5I0icjzGT%2B5ZTFTSkZijRi5W9MPACyCud%2F3dXn84wBXAdFy%2BgMVc4FpUZ2BE3%2FMQLhGRy4DnMopxcVV1HqLXgkwHfUmR84BLVfSDKM8ifEDR7wCbUG3HxIvPAz6H8irIZzARWg8qehzK9YhEBV5R1TcjzATuB73fq%2B%2BbVHgEpB%2F07cC7ER4VpFJVrwHmITwtyKmKnofyPrJ1mLaq%2FgfwIeBJE7Gl71G4XJBFwCECNQoXi9l0novFYiQSCUAXY3JkThCRF9WEms7EnNN1H7AA5deIKsgriH4eeIOqXoHZRK8GThCRlQpTQT80OBD%2FGHCniLxVRa%2FGJCjZCFwE0qqoG4nZqPJm4EqUTSK0q8mZsBjkO6h%2BDuVfgEdV9BRM9NlPgK8KrI%2Fa0YcSbvx0lF9jNtl1iJ4LzAK5GbPhXmbmKA%2Br6iDC%2B0DfKCIPA00Kv0Z0kiArFD1TkTcjXArS7kltlcBbUKam%2FTWVTcDXvXnYh%2FBHRd8KfB5jq5ggJnfAZX2bt9wNfAjhbPOdgpEUZ0Yqqj%2BTivfPBv01wnyQ1cD5isaAO4EfIHSjDKroe4H5gnwFeD3wc%2BAcO5VqBa4zcw4H4QSU1cCILFXpaCrDGna6jvs9y7YeBD4Jcq6L1FbF%2Bzhq07Ms2fYyW5um8dKkRaxpmcOO6nEMRCr8DYkslCyqJREPXM1zUTdJy2An8%2FZu4pAda5i1ewM1gz2eZCFgbBSPAz9G5E7QRNSJkrASoX6mpShch2oq7AKtiH7YW%2BSvIXw4akfvSzqpSzFczMdB7lVzFs%2F1oOdgkH6iqn4X4V4UF6VNhZ%2BBNntg%2BZqKXgJ8VkR%2BrbhPoXKZ9%2Bw4EfmBouej%2FNzvI0VzRP48r%2B8FIBOA%2F0L1fsBV0S346mrDdh8C1KLciPAMkLDE2m2EcCyE%2FxTTub9T5A2IXgjyLPAn0LPElu%2Bq6gdQDsGA1d2YCJE%2FKXxcTEYrr7IqwAdRFoO%2BS0TuVdVjTFlcgcgXQD%2Fm7d7vweilL8foF3PEbo1idvdaVC9C5EngTcDvwN%2BEffFS%2FQ7zyUV4G%2BYEgo8K8iBwAsivQd%2BCScHm0yLgcuAmgR%2BB1KvoDSgfUsNVzVST%2F%2BA9iq4HDJgakHgvyiwReTdwt8CRCn8EsUSwVHUpMBHl%2FaCvem3%2Bkoj8SlUXeu35GHC9wCyFP4rIp9UYja4QpFvRixR9VbDeA1yNomrA%2BJMIuwQ%2BqdApyJcV%2FSCqN2O4wJ2IXIlql4js0oCJOZlMVCJyuVlYejHwIsqFwHWoZsVyhhjmVFXf5b3jQwjLUc5E9CqU0xGjm7TE6nLV%2FQQwCcQW9N0qVKBEgQ5B3wusVaUKc%2BJvN8pCFf05ylvFlru9oVUR%2BZyiL4DcjOjZqUT%2FtzGHQh6N8n6B2xGZgXHx6RaRj3oSSx0mh%2Bv5in5fRNSTqFyE%2BSgTge%2BBt2ZNPoMR08euW2P0qgiWbQE8jfBBzIm%2FyxQ5RZGaaDLO7J2vMWvXek6rrGFnwyQ2NbWyuWEq7bXj2BOrIxmpYNCK%2BEajLBKUCjdFNJWgIdnPuP69tHZtZ0ZHG9M6t1E%2F0IXlpHDFZHTCJCxaCfwvws3Abn%2FRDBdMoXiCaRt4AuVfgf9BmASyIumkFNXFCLWCfFrh31C1EXExSSB%2BiRFBvwJ8HLhRLPmlogsN4OmVZipSiZBSmADWfBE%2BpaoLEAZUdbY3oHbGN1c0S8eWFUIGIA8B9yv6NYzP2O8E%2BZGPLWKylN6BchbCj0B2ifBrV92rPSXTLhF5CehW1S0I21BeVNwOEWsTcIyq1gFLENaDPA7qojwnIi8ougikxkd6VSq8e9eB%2FF1VXeA54AURWajoLIwu8M8o27zN4m7gC2rOkPaBSlGqgXle%2FZ5VcEXkEVVdjWCb6gdV7V4PG7JUdQkitQKfU9X%2FQLAFcVRkco4SfTZCM3COIid7ovZEEdmNAY9BRB2QLpBEwJ%2FQxnhSbPaO53Zd3OcsrOeA8YrEMNb3FkR%2B4u0WFQhJVZ2CiXPfg%2FCAoo6ovAY8oapvQWS2wkyBpyTlriJiAXo3SpvXQ02GU5dGhesAUdU6BBuoFGOk%2Boqq3oKwRlW%2FYxZ1ep%2BtRpmH8Jxt2y%2B4jusC9ym6wZ9lGTV7JneOpxqzvXbVI3xdUQchipLy1guu6%2FrnofUASVAXkS7QZs%2F960lVXrRtG8dxTgU%2BJiLjVTWB0ohQW2FbDDiuBWxR9CWULm8OtgpUKHoIsEWQhxVNCLLWkzTnKXoFyuEY48oMhEGUWMB2YYM%2B4qkgvuyt2d8DVzJKxrorPHAKuFUNYnIWP4jwRpR3g5zmikwCqB7sZc7AWubsXItjRRiMVdFTUctAVR17o7X0xypxI1FcsRBVbCdJLBmnKdlH7WAPNYO9VCf6iaaSaU5KRXwg7sbk0LgRuBNhRxpEXAr6l5ZLxQBVEBLqumtFrJ9iuKF%2FndAy91O7dr%2B2B3RQ0f%2FxOLhqoBHhBZAtGC5nErAM9Auq%2Boy3YNoRvo6yHaOjiqD6LMKP1WTj%2BQDwGsZdYYK3WJOYpCW13o463dORAr5fHWDE5o9iQOojKF9Q9DEQx%2FfaVUdfFtu6BLQV1U%2BpcYl42DM7qOF8xQcyF2Aw3ktVZZ3%2FuiSwHeRoYDpGDzxBVWeI0Z0N4uv8Tbb87YIchUmKsUpFJgAzVHUtwk4MJ3IYUKOqfSJyuKINHifiNV8Fo2ppV1goMAnVzSrSijAFZIeabA4pkErQqmTSIRqxp3ogoKq6B9VBNVbLlSjVKjSi%2BnxOWrMOjN70buAGQSwVnQhsFqRfDcBaoJapn%2BHWEv0DTqy6ahvCSYLMV9VnLKypGB1uJyYZTQewB%2FTrmPO5Gj0ObTkis1FtQJkDbESo80BuL7AL1Q5E5hCxmwX2quocjOuUYvSkfaDtiHxJoE%2BhBSQuwlpF13oL6FAMB%2FZF4D2ZfZYE0A4y03GcFkF2qTALc0Krek10UGpU1HCVIpM8wdPFpGDsA36IsgaT3KYOWOH1f2Y9eb81Yz1RPGOj4zgtwH8hdHrrIILJ5CYp11uOgqukjX1m4zbpH3cgvAHjLrZH0YhY4qqrH8eopD4APCfI91T1eLJrJAptFnK5ombNKp%2FHuJ2NqleMD1aBHAC9wB0I9xhJjrOBs0AOc0VaABHXpWqwl%2BqBXqRzO7OCHvz%2BL08loL4Lv8eFur5V0YDoq8CDGDXIs5gNDsu1cD1%2F15GCKRQGVDE7vNhi2baYBXanqn541%2B7X7gBuQ7kUuATRGmAOqrMRPgz6DpBLgb8KVKkQR%2BnE7AinoFwiIo%2Bq6smC7FH0UczZUFUIR6C8EWNQ2ewB6EsgFaBfVXNk7wXewpb0hDUW5X8B3icif1HVKtLJjdVGJAKI2PIRVN%2BEyO2glZhMQ3EU2zNGiJdpxv9Ma9UMdmuHLSbtWkpVfwu8FfQXIHcZQw0TVfUrCAMgNmgE47v7W8NlcQ1wF%2BjJmI3iiyKyXl29EeM0%2FBtEtqiZTBWg%2FnqJACoig6p6E%2Bg1Cr8CHkH1NKAV4VlNOioR63lUlyl8KxqxdwCnI57LhTGaXWLGi3pgvhjD2tL0gJuJ97zC%2Faiei%2BheNemNz1L0m56YvBWzYX1RVa8HnhQRYtVVINyEcoGi%2F4sxBh6GsBjlMSCBcCNqxh%2FhEcwG2i0iD6rqn4H3IvwE5I9qUiseC%2FJlYAPCTcB%2FqeovEXkeeLOINAH229at33PrnFk3gnwO1Xchsgbhzag%2BjMizKD%2FAZNZf6XHSPSLiqsnuFQHtBbkR9Ccov0J4GjhbRCaokYlcEVmpqu9C%2BRbQC3oCsMez7P9J0Yu99XA7IoeBNgosD8nHZ1IxStr%2FJeJxuSC4giSARlU9AaNGmAU8oQNJiFq2qkbEGyj1M48projcpOgFCj9H%2BSvCIerq7QhxICrIoQqHKZyCkPC8MMRrPxZyMXCZIH9VqAKNE3AXGm3KAlZDScwxzM9j9LpzMaq0YzC68OkqNCpSHYpZGZ7AJZM9bBvwCgY8n1Z0lcCeLDBWcC13SEanUpTnK%2FkvzU2IiA1MBlaLEVcTmLPHm0WkR5S7vYrOwThI12J0g8uNCMEi0NMMxyRXisjdwBqMkvsohOOAXhH5neu4q8SSVxBpATkJGEB4GGG9IA97nF8c4xMrwC3AThG5V0S6Mp0qFSKySNHTMJbqK0XkbwhN3qS7G2N1Phw4FZEkyvdcdR%2B1LGsChlu8FxgQkUkoexHub6rQeE8qNQlhN8iDEdta67r6PMI8DPB3Ad9U1b96LklTBNkKPEIf64jxAjAf4RhBulC%2BKSK3qRHSn8Zw7gsFqUD1IYQjEO5V1adFZBrCOpTHvf7binA4wgKEv2Msz51Y8kejWkAwC7EP%2BLMnztyHAaWVGKPUiUAVys0i8hSQuqmjk3c2NiIicVSXYw44PBmYjQmIuB2zo2%2FBcGCLEFaJyBoAsYTK6srNqWTqeYRp%2BI71Qh0mKfeNCKuMmMqRiByHsY7%2FzmvXbkSeApmK4aAE%2BCHC9SApQV7CcLivQ2QmIn8VWKWqK1%2F92c%2BeQ1kJuhcTjHIkwkbgRhHZKiLNnofAcRgD5HcwG8NUhFWWWMvV6C3bvWfnepb9aUBbwkn8OWJF1mG8FY5EaEe50yvjgXii%2F7VIJPoSwmLPmGOLyE0gKwRxLtywkXc2NfpLeIqIbBRjRbc8dccKVfc5Uu4AtqwDmYvIcYisQ1ghyPPJOusZK6GTgR0i8qCiCcxZaR2I3F8Rib7qOM6LCEeJyDmex81jInInSp2InISqBdyPsAm4T0QqMd41d2OO51mEcDpGTfJT4C5EnJs6OkcNbHLpzpW7uXPlbt56xHhzwQQwJYAdwApJubdjy58w%2BYhvwzB2D2DsHE94Pw8D92A8K36L8CuM%2F%2FbVCDd692z21nUaT6%2B4bnX6%2FaNJeX6oN86eheu6RNWVikhE6yqq6BjoxwLcGEgCy9vhweg4a4GEwIDvCqeuWiJSByRFpB%2ByjCwViFSB9oMkApmCbFWtFpF%2BVXUcT1aNiKDJJBKJ1KMMYknCQsT1TssTESwRHOMcbGH8%2FJKo9oPZgSxHZOe2bTpx6lQwO1ytiMSBAVUlFouRSqYkMZjQ6dOns23nNiJ2RJyEoxds3sAfpk%2FDRUXsqEb9jhOJKFqDETkTAJpyUdtFIlGJuJY6ms5JHBWRaoQBXBJpIxuy2BuD9YCjqh9G%2BK4g7wDutMXGVZdEMkEkEvENc9UgltfWvyG0C3KRoilPFVKrMIBqUlzEdVQl6qsxJIKpc0JE0hzIBes3ZPmg9tT0UddfUycIqRQ9tp3FaVmYZNyDKK4rLpZaAOOAhSLykufutQCR20DvUUeXiSX%2BeMVUtRoDqAkwuVNdcx6QDVILxEVk0E%2BfZ8QRC1fdWq8OvTEZR9Ldg1oB%2F2WhCpMntBdwAtmnKj0A6VXVlJNykFhU1FHFTWGnzySiJlDHR4EVlmVdYia7WhjGoV%2FESqnriKYctaJRfyyjitagDAKDvqh%2FwfoN3LJoJppMYHk5zCtF2NvXR8SyxIpEdfD1h1Dz5Mu%2BsSsGxOyI3ZvsS2JVW3zgrRu59vY5qOOIqGpfVz8N4xpIua6kbNGo4%2Fp1uEzhYlT%2FG%2BEOjxO1MIa7AUz%2BV0n0JbS2sZZkMiE2EU2RAhULoU4Mt9jvj%2FiF%2BzmMPJ29KhehCrmnapFr3rMVkQjxVGpUOdFCFOLY74XJqWIA3cJNezb7v3Id8ou4MvgO3oBl27iOk%2F6sRtwIzxuQ2585Dr9ZE9YDg7D7Qjvdez5FChvbd%2BtAVdMJLHxVQuWOjQxMmpluq28nym8nGa2ceJqDoLN7vvN2JcIvQU4BfdrripMEeVRVP4gX7iYifvb7jEO%2BUezVY87z2SWqb0MkFbRCG7tWbl9kHO09biArfPSW2bMIbHB5zcvyrAicG%2BT133uAHxrRSnYARyhUo%2Fp%2BMT6p6bYUnYV5VZaCY6%2BqHHnCkaz8%2B0oEyczTwH22bZNKpQrPD1X8RNIBo2cz8HeUpwV5H75%2BvdDiFrLm0PT3T6fthrbM%2FJw9Mz05xLvTDdYjlUKi0TwvAlddLLHoqkvS0B1Nt8mfDwFfAzBW%2FONE5ALPr%2FUioD9v%2FgeCJpTsIICwPjpY8kcE1AP5oJkzHqOhCx0uyciLGKOhkhfZJZ771XkYfaMI8jQms802oGDCiltmz8Sz%2FH8JoQvkB6DOvkr8Uoz8ZBuCjFf0LShvEJFmhc2o%2Fl5t%2Fbu4xgR0sCzOUu0BalX1P4F1gvxMUT2Y6%2B4FZUwFPohJvHK%2Fqt4myEFd739Gioy8iDEaJinwooi86KprocaKm%2F6yWAiumoMUXdwvq4JYOPs7JjyrPmZfbgeuV1uvJ4UttuUoiniHnf2jLGyPg%2B4VkU8jqDpa%2BiSvA00OKLrViljfUlUREWfkhY7RcOj%2FAV62PwiGE5vyAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIxLTA2LTEwVDA4OjMxOjAxKzAwOjAwi5oXhAAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0wNi0xMFQwODozMTowMSswMDowMPrHrzgAAAAASUVORK5CYII%3D%29%0A%7D%0Abody%20%7B%0Amargin%3A%20auto%3B%0Apadding%2Dright%3A%201em%3B%0Apadding%2Dleft%3A%201em%3B%0Amax%2Dwidth%3A%2075em%3B%0Aborder%2Dleft%3A%201px%20solid%20black%3B%0Aborder%2Dright%3A%201px%20solid%20black%3B%0Acolor%3A%20black%3B%0Afont%2Dfamily%3A%20Verdana%2C%20sans%2Dserif%3B%0Afont%2Dsize%3A%2090%25%3B%0Aline%2Dheight%3A%20120%25%3B%0A%7D%0Aa%20%7B%0Afont%2Dfamily%3A%20Verdana%2C%20sans%2Dserif%3B%0Afont%2Dsize%3A%2080%25%3B%0Atext%2Ddecoration%3A%20none%3B%0A%7D%0Ath%20%7B%0Awhite%2Dspace%3A%20nowrap%3B%0Aborder%2Dbottom%3A%201px%20solid%20%23ddd%3B%0Afont%2Dweight%3A%20normal%3B%0Acolor%3A%20white%3B%0Abackground%2Dcolor%3A%233877d1%3B%0A%7D%0Ath%2C%20td%20%7B%0Apadding%3A%203px%3B%0Atext%2Dalign%3A%20left%3B%0Afont%2Dsize%3A%2090%25%3B%0A%7D%0Atr%3Anth%2Dchild%28even%29%20%7B%0Abackground%2Dcolor%3A%20%23f2f2f2%3B%0A%7D%0Apre%20%7B%0Aborder%3A%201px%20dotted%20gray%3B%0Abackground%2Dcolor%3A%20%23ececec%3B%0Apadding%3A%200%2E5em%3B%0A%7D%0Acode%20%7B%0Afont%2Dfamily%3A%20monospace%3B%0A%7D%0Ah1%2C%20h2%2C%20h3%2C%20h4%2C%20h5%20%7B%0Afont%2Dfamily%3A%20verdana%3B%0Afont%2Dweight%3A%20bold%3B%0Acolor%3A%20%23222%3B%0A%7D%0Ah1%20%7B%0Afont%2Dweight%3A%20normal%3B%0Acolor%3A%20%23622%3B%0Aborder%2Dbottom%3A%201px%20dotted%20%23622%3B%0A%7D%0Ah2%20%7B%0Afont%2Dweight%3A%20normal%3B%0Acolor%3A%20%23622%3B%0Aborder%2Dbottom%3A%201px%20dotted%20%23622%3B%0A%7D%0Ah3%20%7B%0Afont%2Dsize%3A%20100%25%3B%0A%7D%0Ah4%20%7B%0Afont%2Dsize%3A%2090%25%3B%0Afont%2Dstyle%3A%20italic%3B%0A%7D%0Ah5%20%7B%0Afont%2Dsize%3A%2080%25%3B%0Afont%2Dstyle%3A%20italic%3B%0A%7D%0A" />
  <!--[if lt IE 9]>
    <script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv-printshiv.min.js"></script>
  <![endif]-->
</head>
<body>
<header id="title-block-header">
<h1 class="title">FDSNWS dataselect v1</h1>
</header>
<h2 id="description">Description</h2>
<p>The dataselect service provides access to seismic data of the RESIF network.</p>
<h2 id="query-usage">Query usage</h2>
<pre><code>/query? (channel-options) (date-range-options) [quality-options] [misc-options] [nodata=404]</code></pre>
<p>Where:</p>
<pre><code>channel-options      ::  (net=&lt;network&gt;) (sta=&lt;station&gt;) (loc=&lt;location&gt;) (cha=&lt;channel&gt;)
date-range-options   ::  (starttime=&lt;date|duration&gt;) (endtime=&lt;date|duration&gt;)
quality-options      ::  [quality=&lt;D|R|Q|M|B&gt;]
misc-options         ::  [minimumlength=&lt;seconds&gt;] [longestonly=&lt;true|false&gt;]

(..) required
[..] optional</code></pre>
<h2 id="sample-queries">Sample queries</h2>
<p><a href="http://ws.resif.fr/fdsnws/dataselect/1/query?channel=HH?&amp;starttime=2008-06-01T00:00:00&amp;endtime=2008-06-02T00:00:00&amp;quality=B">http://ws.resif.fr/fdsnws/dataselect/1/query?channel=HH?&amp;starttime=2008-06-01T00:00:00&amp;endtime=2008-06-02T00:00:00&amp;quality=B</a></p>
<h2 id="detailed-descriptions-of-each-query-parameter">Detailed descriptions of each query parameter</h2>
<h3 id="channel-options">Channel options</h3>
<table>
<colgroup>
<col style="width: 10%" />
<col style="width: 8%" />
<col style="width: 81%" />
</colgroup>
<thead>
<tr class="header">
<th style="text-align: left;">Parameter</th>
<th style="text-align: left;">Example</th>
<th style="text-align: left;">Discussion</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">net[work]</td>
<td style="text-align: left;">FR</td>
<td style="text-align: left;">Seismic network name. Accepts wildcards and lists.</td>
</tr>
<tr class="even">
<td style="text-align: left;">sta[tion]</td>
<td style="text-align: left;">CIEL</td>
<td style="text-align: left;">Station name. Accepts wildcards and lists.</td>
</tr>
<tr class="odd">
<td style="text-align: left;">loc[ation]</td>
<td style="text-align: left;">00</td>
<td style="text-align: left;">Location code. Use loc=– for empty location codes. Accepts wildcards and lists.</td>
</tr>
<tr class="even">
<td style="text-align: left;">cha[nnel]</td>
<td style="text-align: left;">HHZ</td>
<td style="text-align: left;">Channel Code. Accepts wildcards and lists.</td>
</tr>
</tbody>
</table>
<h4 id="wildcards-and-lists">Wildcards and lists</h4>
<ul>
<li>Wildcards: the question mark <code>?</code> represents any single character, while the asterisk <code>*</code> represents zero or more characters.</li>
<li>List: multiple items may be retrieved using a comma-separated list. Wildcards may be included in the list.</li>
</ul>
<p>For example, with channel codes: <code>channel=EH?,BHZ</code></p>
<h3 id="date-range-options">Date-range options</h3>
<table>
<colgroup>
<col style="width: 13%" />
<col style="width: 23%" />
<col style="width: 62%" />
</colgroup>
<thead>
<tr class="header">
<th style="text-align: left;">Parameter</th>
<th style="text-align: left;">Example</th>
<th style="text-align: left;">Discussion</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">start[time]</td>
<td style="text-align: left;">2010-01-10T00:00:00</td>
<td style="text-align: left;">Selects data on or after the specified start time.</td>
</tr>
<tr class="even">
<td style="text-align: left;">end[time]</td>
<td style="text-align: left;">2011-02-11T01:00:00</td>
<td style="text-align: left;">Selects data on or before the specified end time.</td>
</tr>
</tbody>
</table>
<p>The definition of the time interval may take different forms:</p>
<ul>
<li>a calendar dates, for example <code>starttime=2015-08-12T01:00:00</code></li>
<li>the key word <code>currentutcday</code> which means midnight of today’s date (UTC time), for example <code>starttime=currentutcday</code></li>
</ul>
<h3 id="supplementary-options">Supplementary options</h3>
<table>
<colgroup>
<col style="width: 10%" />
<col style="width: 8%" />
<col style="width: 67%" />
<col style="width: 13%" />
</colgroup>
<thead>
<tr class="header">
<th style="text-align: left;">Parameters</th>
<th style="text-align: left;">Examples</th>
<th style="text-align: left;">Discussion</th>
<th style="text-align: left;">Default value</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">quality</td>
<td style="text-align: left;">B</td>
<td style="text-align: left;">Selects data based on miniSEED data quality indicators. D, R, Q, M, B. M and B (default) are treated the same and indicate best available. If M or B is selected, the output data records will be stamped with an M.</td>
<td style="text-align: left;">B</td>
</tr>
<tr class="even">
<td style="text-align: left;">minimumlength</td>
<td style="text-align: left;">1.5</td>
<td style="text-align: left;">Limits the results to continuous data segments of a minimum length specified in seconds.</td>
<td style="text-align: left;">0.0</td>
</tr>
<tr class="odd">
<td style="text-align: left;">longestonly</td>
<td style="text-align: left;">2.0</td>
<td style="text-align: left;">Limits the results to the longest continuous segment per channel.</td>
<td style="text-align: left;">false</td>
</tr>
<tr class="even">
<td style="text-align: left;">nodata</td>
<td style="text-align: left;">404</td>
<td style="text-align: left;">Specify which HTTP status code is returned when no data is found (204 or 404)</td>
<td style="text-align: left;"></td>
</tr>
</tbody>
</table>
<h2 id="http-post-queries">HTTP POST queries</h2>
<p>The general form of a POST is <code>parameter=value</code> pairs, one per line, followed by an arbitrary number of channels and, optionally, time window selection lines:</p>
<pre><code>parameter=value 
parameter=value 
parameter=value
Net Sta Loc Chan [StartTime EndTime]
Net Sta Loc Chan [StartTime EndTime]</code></pre>
<h2 id="date-and-time-formats">Date and time formats</h2>
<p>Supported date formats are:</p>
<pre><code>YYYY-MM-DDThh:mm:ss[.ssssss] ex. 1997-01-31T12:04:32.123
YYYY-MM-DD ex. 1997-01-31 (a time of 00:00:00 is assumed)</code></pre>
<p>Where:</p>
<pre><code>YYYY    :: four-digit year
MM      :: two-digit month (01=January, etc.)
DD      :: two-digit day (01 through 31)
T       :: date-time separator
hh      :: two-digit hour (00 through 23)
mm      :: two-digit number of minutes (00 through 59)
ss      :: two-digit number of seconds (00 through 59)
ssssss  :: one to six-digit number of microseconds (0 through 999999)</code></pre>
<h2 id="acccessing-restricted-data">Acccessing restricted data</h2>
<p>or access to restricted data, requests should be sent to: <code>fdsnws/dataselect/1/queryauth</code></p>
<p>Requests sent to this URL are authenticated via <a href="http://en.wikipedia.org/wiki/Digest_access_authentication">digest access authentication</a> in order to establish the caller’s credentials.</p>
<p>Command exemples :</p>
<pre><code>curl --digest --user &quot;user:password&quot; http://ws.resif.fr/fdsnws/dataselect/1/queryauth?...&quot;
wget --http-user=&quot;user&quot; --http-password=&quot;password&quot;  http://ws.resif.fr/fdsnws/dataselect/1/queryauth?...&quot;</code></pre>
<h2 id="request-size-limit">Request size limit</h2>
<p>The fdsnws-dataselect is configured to deliver no more than 10 billions data samples per request.</p>
<p>The response size is evaluated from the request time span. Gaps in data are not taken into account.</p>
<p>If the request is too large, the service responds with error code 413 “Too much data”.</p>
<p>If this happens, the user needs to split the request in several smaller chunks.</p>
<h2 id="additional-information-and-contact">Additional information and contact</h2>
<p>This implementation of the webservice is released under the GPLV3 licence. <a href="https://gricad-gitlab.univ-grenoble-alpes.fr/OSUG/RESIF/wsdataselect">Source code is available here</a>.
<p>Additional informations on <a href="https://seismology.resif.fr/webservice-overview/">webservice overview</a></p>
<p>You can also get help by sending an email at <a href="mailto:sismo-help@resif.fr">sismo-help@resif.fr</a></p>
</body>
</html>
